org.apache.ignite.internal.processors.cache.query

## Class GridCacheDistributedFieldsQueryFuture

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<Collection<R>>
      - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter<K,V,R>
        - - org.apache.ignite.internal.processors.cache.query.GridCacheDistributedQueryFuture<Object,Object,List<Object>>
          - - org.apache.ignite.internal.processors.cache.query.GridCacheDistributedFieldsQueryFuture

All Implemented Interfaces:
  Serializable, AutoCloseable, IgniteInternalFuture<Collection<List<Object>>>, CacheQueryFuture<List<Object>>, GridCacheQueryMetadataAware, GridTimeoutObject

    public class GridCacheDistributedFieldsQueryFuture
    extends GridCacheDistributedQueryFuture<Object,Object,List<Object>>
    implements GridCacheQueryMetadataAware

Distributed fields query future.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter

`cctx, loc, log, mux, qry`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheDistributedFieldsQueryFuture(GridCacheContext<?,?> ctx, long reqId, GridCacheQueryBean qry, Iterable<ClusterNode> nodes)`

### Method Summary

Methods
`IgniteInternalFuture<List<GridQueryFieldMetadata>>` `metadata()`
`boolean` `onCancelled()` Callback to notify that future is cancelled.
`boolean` `onDone(Collection<List<Object>> res, Throwable err)` Callback to notify that future is finished.
`void` `onPage(UUID nodeId, List<GridQueryFieldMetadata> metaData, Collection<Map<String,Object>> data, Throwable err, boolean finished)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheDistributedQueryFuture

`awaitFirstPage, cancelQuery, loadAllPages, loadPage, onNodeLeft, onPage, onTimeout`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter

`cancel, close, endTime, enqueue, get, get, getUninterruptibly, next, nextPage, nextPage, onPage, printMemoryStats, query, timeoutId, toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, duration, error, get, get0, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onDone, onDone, onDone, result, startTime, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.query.CacheQueryFuture

`isDone`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`chain, duration, error, get, isCancelled, listen, result, startTime`

### Constructor Detail

#### GridCacheDistributedFieldsQueryFuture

    public GridCacheDistributedFieldsQueryFuture(GridCacheContext<?,?> ctx,
                                         long reqId,
                                         GridCacheQueryBean qry,
                                         Iterable<ClusterNode> nodes)

Parameters:
  `ctx` - Cache context.
  `reqId` - Request ID.
  `qry` - Query.
  `nodes` - Nodes.

### Method Detail

#### onPage

    public void onPage(@Nullable
              UUID nodeId,
              @Nullable
              List<GridQueryFieldMetadata> metaData,
              @Nullable
              Collection<Map<String,Object>> data,
              @Nullable
              Throwable err,
              boolean finished)

Parameters:
  `nodeId` - Sender node ID.
  `metaData` - Meta data.
  `data` - Page data.
  `err` - Error.
  `finished` - Finished or not.

#### onDone

    public boolean onDone(@Nullable
                 Collection<List<Object>> res,
                 @Nullable
                 Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Overrides:
  `onDone` in class `GridCacheDistributedQueryFuture<Object,Object,List<Object>>`
Parameters:
  `res` - Optional result.
  `err` - Optional error.
Returns:
  `True` if result was set by this call.

#### onCancelled

    public boolean onCancelled()

Callback to notify that future is cancelled.

Overrides:
  `onCancelled` in class `GridCacheDistributedQueryFuture<Object,Object,List<Object>>`
Returns:
  `True` if cancel flag was set by this call.

#### metadata

    public IgniteInternalFuture<List<GridQueryFieldMetadata>> metadata()

Specified by:
  `metadata` in interface `GridCacheQueryMetadataAware`
Returns:
  Future to retrieve metadata.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016